--Show all the people in your address table, only if you know their birthday. Show their name, address and birthday ordered by birthday month, so January birthdays are first.

select concat(p.first_name, ' ', p.last_name) as FullName, h.address as HomeAddress, p.birthday as DateOfBirth
from people p join homes h on (p.home_id = h.id)
where p.birthday is not null
order by month(p.birthday);

+----------------+----------------------------------------+-------------+
| FullName       | HomeAddress                            | DateOfBirth |
+----------------+----------------------------------------+-------------+
| Thomas Smith   | 36 E. Bayberry Rd.Savannah, GA 31404   | 1955-01-25  |
| Tony Carbral   | 11 Essex Dr.Farmingdale, NY 11735      | 1970-02-23  |
| John Smith     | 234 High Street, PA 19159              | 1998-04-07  |
| Paul Thompson  | 36 E. Bayberry Rd.Savannah, GA 31404   | 1996-05-27  |
| Noelle Johnson | 36 E. Bayberry Rd.Savannah, GA 31404   | 1960-07-06  |
| Raj Johnson    | 920 Arlington Street Clifton, NJ 07011 | 1980-08-31  |
| Jane Smith     | 920 Arlington Street Clifton, NJ 07011 | 1987-12-06  |
| Doug Brown     | 920 Arlington Street Clifton, NJ 07011 | 1954-12-07  |
+----------------+----------------------------------------+-------------+

--Output all information for all people and their home information

select p.*, h.* from people p left join homes h on (p.home_id = h.id);

+----+------------+-----------+----------+------------+---------+------+----------------------------------------+------------+
| id | first_name | last_name | mobile   | birthday   | home_id | id   | address                                | homenumber |
+----+------------+-----------+----------+------------+---------+------+----------------------------------------+------------+
|  3 | Noelle     | Johnson   | 333-3333 | 1960-07-06 |       1 |    1 | 36 E. Bayberry Rd.Savannah, GA 31404   | 565-6895   |
|  4 | Thomas     | Smith     | 152-9854 | 1955-01-25 |       1 |    1 | 36 E. Bayberry Rd.Savannah, GA 31404   | 565-6895   |
| 11 | Paul       | Thompson  | NULL     | 1996-05-27 |       1 |    1 | 36 E. Bayberry Rd.Savannah, GA 31404   | 565-6895   |
|  1 | Tony       | Carbral   | 230-4233 | 1970-02-23 |       2 |    2 | 11 Essex Dr.Farmingdale, NY 11735      | 454-4544   |
|  2 | Raj        | Johnson   | 333-3333 | 1980-08-31 |       3 |    3 | 920 Arlington Street Clifton, NJ 07011 | 985-4515   |
|  5 | Jane       | Smith     | 152-9854 | 1987-12-06 |       3 |    3 | 920 Arlington Street Clifton, NJ 07011 | 985-4515   |
|  6 | Doug       | Brown     | 466-6241 | 1954-12-07 |       3 |    3 | 920 Arlington Street Clifton, NJ 07011 | 985-4515   |
|  9 | John       | Smith     | NULL     | 1998-04-07 |       4 |    4 | 234 High Street, PA 19159              | 267-3940   |
|  7 | John       | Smith     | 152-9854 | 1973-01-23 |    NULL | NULL | NULL                                   | NULL       |
|  8 | Otto       | Von Count | 656-6548 | NULL       |    NULL | NULL | NULL                                   | NULL       |
| 12 | Eli        | Kramer    | NULL     | 1984-01-15 |    NULL | NULL | NULL                                   | NULL       |
+----+------------+-----------+----------+------------+---------+------+----------------------------------------+------------+


insert into movies (title,runtime,genre,imdb_score,rating)
values ('Howard the Duck','110','Sci-Fi','4.6','PG'),
('Lavalantula','83','Horror','4.7','TV-14'),
('Starship Troopers','129','Sci-Fi','7.2','PG-13'),
('Waltz With Bashir','90','Comedy','7.1','PG'),
('Spaceballs','96','Comedy','7.1','PG'),
('Monsters Inc.','92','Animation','8.1','G');

--Create a query to find all movies in the Sci-Fi genre.
select title from movies where genre in ('Sci-Fi');
+-------------------+
| title             |
+-------------------+
| Howard the Duck   |
| Starship Troopers |
+-------------------+

--Create a query to find all films that scored at least a 6.5 on IMDB
select title from movies where imdb_score > 6.5;
+-------------------+
| title             |
+-------------------+
| Starship Troopers |
| Waltz With Bashir |
| Spaceballs        |
| Monsters Inc.     |
+-------------------+

--For parents who have young kids, but who don't want to sit through long children's movies, create a query to find all of the movies rated G or PG that are less than 100 minutes long.
select title from movies where rating in ('G','PG') and runtime < 100;
+---------------+
| title         |
+---------------+
| Spaceballs    |
| Monsters Inc. |
+---------------+

--Create a query to show the average runtimes of movies scoring below a 7.5 on imdb, grouped by their respective genres.
select genre, avg(runtime) as 'averageRuntime' from movies where imdb_score < 7.5 group by genre;
+--------+----------------+
| genre  | averageRuntime |
+--------+----------------+
| Comedy |        96.0000 |
| Horror |        83.0000 |
| Sci-Fi |       119.5000 |
+--------+----------------+

--There's been a data entry mistake; Starship Troopers is actually rated R, not PG-13. Create a query that finds the movie by its title and changes its rating to R.
update movies set rating = 'R' where title in ('Starship Troopers');

--Show the ID number and rating of all of the Horror and Documentary movies in the database. Do this in only one query.
select id, rating, genre from movies where genre in ('Horror','Documentary');
+----+--------+-------------+
| id | rating | genre       |
+----+--------+-------------+
|  2 | TV-14  | Horror      |
|  4 | R      | Documentary |
+----+--------+-------------+

--This time let's find the average, maximum, and minimum IMDB score for movies of each rating.
select rating, avg(imdb_score), max(imdb_score), min(imdb_score) from movies group by rating;
+--------+-----------------+-----------------+-----------------+
| rating | avg(imdb_score) | max(imdb_score) | min(imdb_score) |
+--------+-----------------+-----------------+-----------------+
| G      |         8.10000 |             8.1 |             8.1 |
| PG     |         5.85000 |             7.1 |             4.6 |
| R      |         7.60000 |             8.0 |             7.2 |
| TV-14  |         4.70000 |             4.7 |             4.7 |
+--------+-----------------+-----------------+-----------------+

--That last query isn't very informative for ratings that only have 1 entry. Use a HAVING COUNT(*) > 1 clause to only show ratings with multiple movies showing.
select rating, avg(imdb_score), max(imdb_score), min(imdb_score) from movies group by rating having count(*) > 1;
+--------+-----------------+-----------------+-----------------+
| rating | avg(imdb_score) | max(imdb_score) | min(imdb_score) |
+--------+-----------------+-----------------+-----------------+
| PG     |         5.85000 |             7.1 |             4.6 |
| R      |         7.60000 |             8.0 |             7.2 |
+--------+-----------------+-----------------+-----------------+

--Let's make our movie list more child-friendly. Delete all entries that have a rating of R. Remember to record your query in script.sql.
delete from movies where rating in ('R');